Advanced Designer Learning Path is now live! Read More

DSS Startup failed on MacOS 11 Big Sur

Level 1
DSS Startup failed on MacOS 11 Big Sur

I've updated MacOS up to 11.0 and can't use DSS. Reinstall don't solve problem.

 

I get following message when DSS starting:

 

Starting Data Science Studio.app

dssHome:/Users/akuprikov/Library/DataScienceStudio/dss_home dssBin:/Users/akuprikov/Library/DataScienceStudio/dss_home/bin/dss

Starting Java check

/Applications/DataScienceStudio.app/Contents/Resources/kit/scripts/_find-java.sh

[Install] [+] Using Java at /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java : java version "1.8.0_261"

 

[Java check] /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java

 

[Java check] EOF reached

Java check terminated with status 0

dss-version exists, doing stop-upgrade-start

Running DSS task for 'stop'

[DSS] dss: DSS supervisor is not running

 

[DSS] EOF reached

[dss stop] EOF reached

[dss stop] Exception reading from handle *** -[NSConcreteFileHandle availableData]: Bad file descriptor

[Install] *********************************************

*           Dataiku DSS installer           *

*********************************************

 

[Install] [+] /Users/akuprikov/Library/DataScienceStudio/dss_home already exists and is a DSS installation

 

[Install] [+] Saving installation log to /Users/akuprikov/Library/DataScienceStudio/dss_home/run/install.log

 

[Install] [+] Using Java at /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java : java version "1.8.0_261"

 

[Install] [+] Checking required dependencies

 

[Install] + Detected OS distribution : osx 11.0

 

[Install] *** OS distribution not supported *** osx 11.0

 

[Install] 

[-] Dependency check failed

[-] You can install required dependencies with:

[-]    sudo -i "/Applications/DataScienceStudio.app/Contents/Resources/kit/scripts/install/install-deps.sh" -without-java

[-] You can also disable this check with the -n installer flag

 

 

[install] EOF reached

[install] EOF reached

DSS installer terminated with status 1

DSS installer failed , fatal error

0 Kudos
7 Replies
Level 1
Author

I've found workaround:

1. Reinstall DSS (may be it works without reinstall but I did it in my case)
2. You will get same error when DSS starting up. Close DSS.
3. open Terminal and run:

/Applications/DataScienceStudio.app/Contents/Resources/kit/installer.sh -d /Users/<your_user_name>/Library/DataScienceStudio/dss_home -y -u -n

Note: option -n force compatability check

Note: in all commands replace <your_user_name> with your own user name

4. Run following command when setup script finishes:

/Users/<your_user_name>/Library/DataScienceStudio/dss_home/bin/dss start

and wait some time before backend starts

5. Open your browser and open DSS page: http://localhost:11200/

Community Manager
Community Manager

Glad that helped! In the future you can try to modify the install-deps.sh script to prevent the “notSupported” function from being called after the OS version check is done. You can do this by editing /Applications/DataScienceStudio.app/Contents/Resources/kit/scripts/install/install-deps.sh and either remove or comment out lines 174 - 176:

if [ "$major" -ne 10 -o "$minor" -lt 12 ]; then
notSupported
fi

If you have an existing local DSS instance that was installed via the command line (i.e. you used the osx.tar.gz instead of the dmg file), then it will continue working when you start DSS. Probably you will need to modify install-deps.sh though if you’re looking to do a fresh “command line” install on Mac using the osx installer.

Looking for more resources to help you use DSS effectively and upskill your knowledge? Check out these great resources: Dataiku Academy | Documentation | Knowledge Base

A reply answered your question? Mark as ‘Accepted Solution’ to help others like you!
Level 1

Thanks Corey, it worked perfectly.

Neuron
Neuron

@AndreyK 

I'm wondering if you are running DSS on MacOS 11 running on Intel Chip Set OR apple Silicon M1.  

Based on my research about Homebrew on Apple Silicon M1 Chip, my guess would be that you are running on Intel?  However, it would be very cool if you told us you were running on Apple Silicon M1 under Rosetta 2.

--Tom
0 Kudos
Community Manager
Community Manager

Please note that with the most recent release (version 8.04) this issue has been resolved.

Download DSS version 8.04 

Looking for more resources to help you use DSS effectively and upskill your knowledge? Check out these great resources: Dataiku Academy | Documentation | Knowledge Base

A reply answered your question? Mark as ‘Accepted Solution’ to help others like you!
0 Kudos
Level 1

Hi, Corey - I read the discussion above very carefully. I am trying to start DSS 8.04 on a MacBook Pro running Mac OS 11.1 Big Sur, and the error message I get is: Screen Shot 2021-01-19 at 12.22.48 PM.pngYour last post says 8.04 fixes this, but apparently not. I also tried inputting the code you provided in the Terminal, but got this error message. I'm not really experienced at terminal, so maybe its just me. Any help you can offer would be great!Screen Shot 2021-01-20 at 10.02.35 AM.png

0 Kudos
Community Manager
Community Manager

Hi @LelandMont, this isn't actually related to compatibility. Depending on your security settings, OS X might prevent DSS from starting. Open System Preferences, go to “Security & Privacy” and authorize the application

Screen Shot 2021-01-20 at 1.10.49 PM.png

 

 

 

 

 

 

 

More info can be found on our website: Install Dataiku on Mac and in our Documentation: Install on macOS

I hope this helps!

Looking for more resources to help you use DSS effectively and upskill your knowledge? Check out these great resources: Dataiku Academy | Documentation | Knowledge Base

A reply answered your question? Mark as ‘Accepted Solution’ to help others like you!
0 Kudos
A banner prompting to get Dataiku DSS